toggle-token-with-images {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 0.25rem;

  > svg,
  > image-group > svg {
    flex-shrink: 0;
    width: 1.5rem;
    height: 1.5rem;
    color: var(--pricefox-primary-color);
  }

  > p {
    margin: 0;
    color: var(--pricefox-primary-color);
    font-weight: 700;
  }

  > image-group {
    display: flex;
    align-items: center;
    gap: 0.125rem;
  }
}

a:has(toggle-token-with-images),
label:has(toggle-token-with-images),
button:has(toggle-token-with-images) {
  display: inline-block;
  width: 100%;
  min-width: fit-content;
  padding: 1rem 1.5rem;
  border: none;
  border-radius: 0.5rem;
  background: var(--pricefox-faded-background-color);
  text-align: center;
  color: var(--pricefox-primary-color);
  font-weight: 700;
  cursor: pointer;
  @media (min-width: 993px) {
    width: fit-content;
  }

  &:hover {
    background: var(--petrol-blue-100);
    text-decoration: none;
  }
}

a:has(toggle-token-with-images.dark-button),
label:has(toggle-token-with-images.dark-button),
button:has(toggle-token-with-images.dark-button) {
  background: var(--pricefox-primary-color);
  color: var(--pricefox-background-color);
  &:hover {
    background: var(--petrol-blue-600);
  }

  toggle-token-with-images {
    > p,
    > svg,
    > image-group > svg {
      color: var(--pricefox-background-color);
    }
  }
}

a:has(toggle-token-with-images.disabled-button),
label:has(toggle-token-with-images.disabled-button),
button:has(toggle-token-with-images.disabled-button) {
  background: var(--gray-500);
  color: var(--pricefox-background-color);
  cursor: auto;
  &:hover {
    background: var(--gray-500);
  }

  toggle-token-with-images {
    > p,
    > svg,
    > image-group > svg {
      color: var(--pricefox-background-color);
    }
  }
}

input:has(+label toggle-token-with-images):checked {
  +label {
    background: var(--petrol-blue-400);
    box-shadow: inset 0 0 0 3px var(--dark-blue-300);

    > toggle-token-with-images {
      > p {
        color: var(--pricefox-background-color);
      }
      > svg,
      > image-group > svg {
        color: var(--pricefox-background-color);
      }
    }
  }
}